Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::DeviceManager::PackageEvent Struct Reference

Event: A peripheral device package was added or removed. More...

Inheritance diagram for peripheral::DeviceManager::PackageEvent:

## Public Attributes
vector< PackageInfo > | packageInfos
| Information about affected packages.
vector< PackageInfo > | allPackages
| New list of discovered packages after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A peripheral device package was added or removed.

Definition at line 114 of file PeripheralDeviceManager.idl.

## Member Data Documentation

## ◆ allPackages

vector<PackageInfo> peripheral::DeviceManager::PackageEvent::allPackages

New list of discovered packages after change.

Definition at line 116 of file PeripheralDeviceManager.idl.

## ◆ packageInfos

vector<PackageInfo> peripheral::DeviceManager::PackageEvent::packageInfos

Information about affected packages.

Definition at line 115 of file PeripheralDeviceManager.idl.

The documentation for this struct was generated from the following file:

- PeripheralDeviceManager.idl